<?php

class Converter_Module_Settings extends Converter_Module
{
	
	/**
	 * Update setting in the database
	 *
	 * @param name The name of the setting being inserted
	 * @param value The value of the setting being inserted
	 */
	public function update_setting($name, $value)
	{
		global $db, $output;
		
		$output->print_progress("start", "Aktualizacja ustawień ".htmlspecialchars_uni($name));
		
		$modify = array(
			'value' => $db->escape_string($value)
		);
		$db->update_query("settings", $modify, "name='{$name}'");
		
		$output->print_progress("end");
	}
}

?>